//
// To compile using Visual C++: cl test.c jclsock.lib user32.lib
// To compile using Borland C++: bcc32 test.c jclsock.lib user32.lib.
// (Borland users -- I haven't tried this using jclsock.lib as the
// import library.  Does it work?
//
#include <windows.h>
#include "jclsock.h"

int WINAPI 
WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
	char szMessage[256];
	int iErr;

	// Here is the body of the mail message.  I suppose I could add a word-wrap
	// function if a registered user requested it.
	char *szMailData = 
		"Here is the body of your mail message.  As you can see, it must\n"
		"include newlines (i.e., you have to word-wrap the text).  Sending\n"
		"mail couldn't be easier -- just a single function call!";

	// A single function call sends the mail!  For a description of the 
	// parameters, see johnsmtp.h
	iErr = CreateAndSendMail("johnl@calweb.com", "johnl@calweb.com", szMailData, 
		"Single function call approach", NULL, NULL);
		
	if(iErr != ERR_JSMTP_SUCCESS)
	{
		wsprintf(szMessage, "An error has occurred sending mail, error code %d -- "
							"for a complete list of error codes, see johnsmtp.h.", iErr);
		MessageBox(NULL, szMessage, "Mail Test Program", MB_OK | MB_TASKMODAL);
		return iErr;
	}
	
	// ERR_JSMTP_SUCCESS == 0
	return iErr;  

	//  If you'd rather fill out all the mail data "interactively" then call a single
	//  function, these functions can be used instead of the approach above
	//
	//      SetServerDirect("smtp.calweb.com");
	//      SetDomain("calweb.com");
	//      SetSender("johnl@calweb.com");
	//      SetRecipients("johnl@calweb.com");
	//      SetMailData(szMailData);
	//      SetSubject("Form-fill and send method");
	//      iErr = SendMail();
	//
	//  (Handle error as above)
}
